# The Shared Payment Granted Token object

### The Shared Payment Granted Token object

```json
{
  "id": "spt_1RgaZcFPC5QUO6ZCDVZuVA8q",
  "object": "shared_payment.granted_token",
  "agent_details": {
    "network_business_profile": "profile_test_61U92KWAstyE3VYhXA6U91t01FSQ3ByrZzKJOCR0y5ey"
  },
  "created": 1751500820,
  "deactivated_at": null,
  "deactivated_reason": null,
  "livemode": false,
  "payment_method_details": {
    "type": "card",
    "billing_details": {
      "address": {
        "city": null,
        "country": null,
        "line1": null,
        "line2": null,
        "postal_code": null,
        "state": null
      },
      "email": null,
      "name": "John Doe",
      "phone": null
    },
    "card": {
      "brand": "visa",
      "country": "US",
      "display_brand": "visa",
      "exp_month": 9,
      "exp_year": 2029,
      "fingerprint": "dyRcYjZNxnHpC51l",
      "funding": "credit",
      "last4": "4242",
      "networks": {
        "available": [
          "visa"
        ],
        "preferred": null
      },
      "wallet": null
    }
  },
  "shared_metadata": {},
  "usage_details": {
    "amount_captured": {
      "value": 0,
      "currency": "usd"
    }
  },
  "usage_limits": {
    "currency": "usd",
    "expires_at": 1751587220,
    "max_amount": 1000
  }
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `agent_details` (object, nullable)
  Details about the agent that issued this SharedPaymentGrantedToken.

  - `agent_details.network_business_profile` (string, nullable)
    The Stripe Profile ID of the agent that issued this SharedPaymentGrantedToken.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `deactivated_at` (timestamp, nullable)
  Time at which this SharedPaymentGrantedToken expires and can no longer be used to confirm a PaymentIntent.

- `deactivated_reason` (enum, nullable)
  The reason why the SharedPaymentGrantedToken has been deactivated.
Possible enum values:
  - `consumed`
    `consumed` indicates that this token has been consumed due to hitting the allowed amount limit.

  - `expired`
    `expired` indicates that this token has expired.

  - `resolved`
    `resolved` indicates that this token has been resolved by a seller.

  - `revoked`
    `revoked` indicates that this token has been revoked by the issuer.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `payment_method_details` (object, nullable)
  Details of the PaymentMethod that was shared via this token.

  - `payment_method_details.affirm` (object, nullable)
    If this is an `affirm` PaymentMethod, this hash contains details about the Affirm payment method.

  - `payment_method_details.billing_details` (object, nullable)
    Billing information associated with the PaymentMethod that may be used or required by particular types of payment methods.

    - `payment_method_details.billing_details.address` (object, nullable)
      Billing address.

      - `payment_method_details.billing_details.address.city` (string, nullable)
        City, district, suburb, town, or village.

      - `payment_method_details.billing_details.address.country` (string, nullable)
        Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

      - `payment_method_details.billing_details.address.line1` (string, nullable)
        Address line 1, such as the street, PO Box, or company name.

      - `payment_method_details.billing_details.address.line2` (string, nullable)
        Address line 2, such as the apartment, suite, unit, or building.

      - `payment_method_details.billing_details.address.postal_code` (string, nullable)
        ZIP or postal code.

      - `payment_method_details.billing_details.address.state` (string, nullable)
        State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)).

    - `payment_method_details.billing_details.email` (string, nullable)
      Email address.

    - `payment_method_details.billing_details.name` (string, nullable)
      Full name.

    - `payment_method_details.billing_details.phone` (string, nullable)
      Billing phone number (including extension).

    - `payment_method_details.billing_details.tax_id` (string, nullable)
      Taxpayer identification number. Used only for transactions between LATAM buyers and non-LATAM sellers.

  - `payment_method_details.card` (object, nullable)
    If this is a `card` PaymentMethod, this hash contains the user’s card details.

    - `payment_method_details.card.brand` (string)
      Card brand. Can be `amex`, `cartes_bancaires`, `diners`, `discover`, `eftpos_au`, `jcb`, `link`, `mastercard`, `unionpay`, `visa` or `unknown`.

    - `payment_method_details.card.checks` (object, nullable)
      Checks on Card address and CVC if provided.

      - `payment_method_details.card.checks.address_line1_check` (string, nullable)
        If a address line1 was provided, results of the check, one of `pass`, `fail`, `unavailable`, or `unchecked`.

      - `payment_method_details.card.checks.address_postal_code_check` (string, nullable)
        If a address postal code was provided, results of the check, one of `pass`, `fail`, `unavailable`, or `unchecked`.

      - `payment_method_details.card.checks.cvc_check` (string, nullable)
        If a CVC was provided, results of the check, one of `pass`, `fail`, `unavailable`, or `unchecked`.

    - `payment_method_details.card.country` (string, nullable)
      Two-letter ISO code representing the country of the card. You could use this attribute to get a sense of the international breakdown of cards you’ve collected.

    - `payment_method_details.card.display_brand` (string, nullable)
      The brand to use when displaying the card, this accounts for customer’s brand choice on dual-branded cards. Can be `american_express`, `cartes_bancaires`, `diners_club`, `discover`, `eftpos_australia`, `interac`, `jcb`, `mastercard`, `union_pay`, `visa`, or `other` and may contain more values in the future.

    - `payment_method_details.card.exp_month` (integer)
      Two-digit number representing the card’s expiration month.

    - `payment_method_details.card.exp_year` (integer)
      Four-digit number representing the card’s expiration year.

    - `payment_method_details.card.fingerprint` (string, nullable)
      Uniquely identifies this particular card number. You can use this attribute to check whether two customers who’ve signed up with you are using the same card number, for example. For payment methods that tokenize card information (Apple Pay, Google Pay), the tokenized number might be provided instead of the underlying card number.

      *As of May 1, 2021, card fingerprint in India for Connect changed to allow two fingerprints for the same card—one for India and one for the rest of the world.*

    - `payment_method_details.card.funding` (string)
      Card funding type. Can be `credit`, `debit`, `prepaid`, or `unknown`.

    - `payment_method_details.card.last4` (string)
      The last four digits of the card.

    - `payment_method_details.card.networks` (object, nullable)
      Contains information about card networks that can be used to process the payment.

      - `payment_method_details.card.networks.available` (array of strings)
        All networks available for selection via [payment_method_options.card.network](https://docs.stripe.com/api/payment_intents/confirm.md#confirm_payment_intent-payment_method_options-card-network).

      - `payment_method_details.card.networks.preferred` (string, nullable)
        The preferred network for co-branded cards. Can be `cartes_bancaires`, `mastercard`, `visa` or `invalid_preference` if requested network is not valid for the card.

    - `payment_method_details.card.wallet` (object, nullable)
      If this Card is part of a card wallet, this contains the details of the card wallet.

      - `payment_method_details.card.wallet.amex_express_checkout` (object, nullable)
        If this is a `amex_express_checkout` card wallet, this hash contains details about the wallet.

      - `payment_method_details.card.wallet.apple_pay` (object, nullable)
        If this is a `apple_pay` card wallet, this hash contains details about the wallet.

      - `payment_method_details.card.wallet.dynamic_last4` (string, nullable)
        (For tokenized numbers only.) The last four digits of the device account number.

      - `payment_method_details.card.wallet.google_pay` (object, nullable)
        If this is a `google_pay` card wallet, this hash contains details about the wallet.

      - `payment_method_details.card.wallet.link` (object, nullable)
        If this is a `link` card wallet, this hash contains details about the wallet.

      - `payment_method_details.card.wallet.masterpass` (object, nullable)
        If this is a `masterpass` card wallet, this hash contains details about the wallet.

        - `payment_method_details.card.wallet.masterpass.billing_address` (object, nullable)
          Owner’s verified billing address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.

          - `payment_method_details.card.wallet.masterpass.billing_address.city` (string, nullable)
            City, district, suburb, town, or village.

          - `payment_method_details.card.wallet.masterpass.billing_address.country` (string, nullable)
            Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

          - `payment_method_details.card.wallet.masterpass.billing_address.line1` (string, nullable)
            Address line 1, such as the street, PO Box, or company name.

          - `payment_method_details.card.wallet.masterpass.billing_address.line2` (string, nullable)
            Address line 2, such as the apartment, suite, unit, or building.

          - `payment_method_details.card.wallet.masterpass.billing_address.postal_code` (string, nullable)
            ZIP or postal code.

          - `payment_method_details.card.wallet.masterpass.billing_address.state` (string, nullable)
            State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)).

        - `payment_method_details.card.wallet.masterpass.email` (string, nullable)
          Owner’s verified email. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.

        - `payment_method_details.card.wallet.masterpass.name` (string, nullable)
          Owner’s verified full name. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.

        - `payment_method_details.card.wallet.masterpass.shipping_address` (object, nullable)
          Owner’s verified shipping address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.

          - `payment_method_details.card.wallet.masterpass.shipping_address.city` (string, nullable)
            City, district, suburb, town, or village.

          - `payment_method_details.card.wallet.masterpass.shipping_address.country` (string, nullable)
            Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

          - `payment_method_details.card.wallet.masterpass.shipping_address.line1` (string, nullable)
            Address line 1, such as the street, PO Box, or company name.

          - `payment_method_details.card.wallet.masterpass.shipping_address.line2` (string, nullable)
            Address line 2, such as the apartment, suite, unit, or building.

          - `payment_method_details.card.wallet.masterpass.shipping_address.postal_code` (string, nullable)
            ZIP or postal code.

          - `payment_method_details.card.wallet.masterpass.shipping_address.state` (string, nullable)
            State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)).

      - `payment_method_details.card.wallet.samsung_pay` (object, nullable)
        If this is a `samsung_pay` card wallet, this hash contains details about the wallet.

      - `payment_method_details.card.wallet.type` (enum)
        The type of the card wallet, one of `amex_express_checkout`, `apple_pay`, `google_pay`, `masterpass`, `samsung_pay`, `visa_checkout`, or `link`. An additional hash is included on the Wallet subhash with a name matching this value. It contains additional information specific to the card wallet type.
Possible enum values:
        - `amex_express_checkout`
        - `apple_pay`
        - `google_pay`
        - `link`
        - `masterpass`
        - `samsung_pay`
        - `visa_checkout`

      - `payment_method_details.card.wallet.visa_checkout` (object, nullable)
        If this is a `visa_checkout` card wallet, this hash contains details about the wallet.

        - `payment_method_details.card.wallet.visa_checkout.billing_address` (object, nullable)
          Owner’s verified billing address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.

          - `payment_method_details.card.wallet.visa_checkout.billing_address.city` (string, nullable)
            City, district, suburb, town, or village.

          - `payment_method_details.card.wallet.visa_checkout.billing_address.country` (string, nullable)
            Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

          - `payment_method_details.card.wallet.visa_checkout.billing_address.line1` (string, nullable)
            Address line 1, such as the street, PO Box, or company name.

          - `payment_method_details.card.wallet.visa_checkout.billing_address.line2` (string, nullable)
            Address line 2, such as the apartment, suite, unit, or building.

          - `payment_method_details.card.wallet.visa_checkout.billing_address.postal_code` (string, nullable)
            ZIP or postal code.

          - `payment_method_details.card.wallet.visa_checkout.billing_address.state` (string, nullable)
            State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)).

        - `payment_method_details.card.wallet.visa_checkout.email` (string, nullable)
          Owner’s verified email. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.

        - `payment_method_details.card.wallet.visa_checkout.name` (string, nullable)
          Owner’s verified full name. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.

        - `payment_method_details.card.wallet.visa_checkout.shipping_address` (object, nullable)
          Owner’s verified shipping address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.

          - `payment_method_details.card.wallet.visa_checkout.shipping_address.city` (string, nullable)
            City, district, suburb, town, or village.

          - `payment_method_details.card.wallet.visa_checkout.shipping_address.country` (string, nullable)
            Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

          - `payment_method_details.card.wallet.visa_checkout.shipping_address.line1` (string, nullable)
            Address line 1, such as the street, PO Box, or company name.

          - `payment_method_details.card.wallet.visa_checkout.shipping_address.line2` (string, nullable)
            Address line 2, such as the apartment, suite, unit, or building.

          - `payment_method_details.card.wallet.visa_checkout.shipping_address.postal_code` (string, nullable)
            ZIP or postal code.

          - `payment_method_details.card.wallet.visa_checkout.shipping_address.state` (string, nullable)
            State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)).

  - `payment_method_details.klarna` (object, nullable)
    If this is a `klarna` PaymentMethod, this hash contains details about the Klarna payment method.

    - `payment_method_details.klarna.dob` (object, nullable, expandable (can be expanded into an object with the `expand` request parameter))
      The customer’s date of birth, if provided.

      - `payment_method_details.klarna.dob.day` (integer, nullable)
        The day of birth, between 1 and 31.

      - `payment_method_details.klarna.dob.month` (integer, nullable)
        The month of birth, between 1 and 12.

      - `payment_method_details.klarna.dob.year` (integer, nullable)
        The four-digit year of birth.

  - `payment_method_details.link` (object, nullable)
    If this is a `link` PaymentMethod, this hash contains details about the Link payment method (Link is also known as Onelink in the UK).

    - `payment_method_details.link.email` (string, nullable)
      Account owner’s email address.

  - `payment_method_details.type` (enum)
    The type of the PaymentMethod. An additional hash is included on the PaymentMethod with a name matching this value. It contains additional information specific to the PaymentMethod type.
Possible enum values:
    - `affirm`
      [Affirm](https://docs.stripe.com/docs/payments/affirm.md) is a buy now, pay later payment method in the US.

    - `card`
      [Card payments](https://docs.stripe.com/docs/payments/payment-methods/overview.md#cards) are supported through many networks, card brands, and select Link funding sources (Link is also known as Onelink in the UK).

    - `klarna`
      [Klarna](https://docs.stripe.com/docs/payments/klarna.md) is a global buy now, pay later payment method.

    - `link`
      [Link (also known as Onelink in the UK)](https://docs.stripe.com/docs/payments/link.md) allows customers to pay with their saved payment details.

- `risk_details` (object, nullable)
  Risk details of the SharedPaymentGrantedToken.

  - `risk_details.insights` (object)
    Risk insights for this token, including scores and recommended actions for each risk type.

    - `risk_details.insights.bot` (object, nullable)
      Bot risk insight.

      - `risk_details.insights.bot.recommended_action` (string)
        Recommended action for this insight.

      - `risk_details.insights.bot.score` (number)
        Risk score for this insight.

    - `risk_details.insights.card_issuer_decline` (object, nullable)
      Card issuer decline risk insight.

      - `risk_details.insights.card_issuer_decline.recommended_action` (string)
        Recommended action for this insight.

      - `risk_details.insights.card_issuer_decline.score` (number)
        Risk score for this insight.

    - `risk_details.insights.card_testing` (object, nullable)
      Card testing risk insight.

      - `risk_details.insights.card_testing.recommended_action` (string)
        Recommended action for this insight.

      - `risk_details.insights.card_testing.score` (number)
        Risk score for this insight.

    - `risk_details.insights.fraudulent_dispute` (object, nullable)
      Fraudulent dispute risk insight.

      - `risk_details.insights.fraudulent_dispute.recommended_action` (string)
        Recommended action for this insight.

      - `risk_details.insights.fraudulent_dispute.score` (integer)
        Risk score for this insight.

    - `risk_details.insights.stolen_card` (object, nullable)
      Stolen card risk insight.

      - `risk_details.insights.stolen_card.recommended_action` (string)
        Recommended action for this insight.

      - `risk_details.insights.stolen_card.score` (integer)
        Risk score for this insight.

- `shared_metadata` (map, nullable)
  Metadata about the SharedPaymentGrantedToken.

- `usage_details` (object, nullable)
  Some details about how the SharedPaymentGrantedToken has been used already.

  - `usage_details.amount_captured` (object, nullable)
    The total amount captured using this SharedPaymentToken.

    - `usage_details.amount_captured.currency` (enum)
      Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

    - `usage_details.amount_captured.value` (integer)
      Integer value of the amount in the smallest currency unit.

- `usage_limits` (object, nullable)
  Limits on how this SharedPaymentGrantedToken can be used.

  - `usage_limits.currency` (string)
    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

  - `usage_limits.expires_at` (timestamp, nullable)
    Time at which this SharedPaymentToken expires and can no longer be used to confirm a PaymentIntent.

  - `usage_limits.max_amount` (integer)
    Max amount that can be captured using this SharedPaymentToken.
